Bug 459639 - Review Request: binclock - ncurses binary clock
Review Request: binclock - ncurses binary clock
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 15:26 EDT by Adam Miller
Modified: 2008-09-12 01:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 01:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2008-08-20 15:26:09 EDT
Spec URL: http://maxamillion.fedorapeople.org/binclock.spec
SRPM URL: http://maxamillion.fedorapeople.org/binclock-0.3.2-1.src.rpm
Description: Fullscreen console binary clock.
Features:

    * Written in Python (needs version 2 or later)
    * Uses ncurses
    * In color
    * Proper SIGWINCH handling
Comment 1 manuel wolfshant 2008-08-20 16:33:36 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM:
binclock.src:58: E: files-attr-not-set
binclock.src: W: mixed-use-of-spaces-and-tabs (spaces: line 22, tab: line 1)
binclock.src: W: summary-ended-with-dot Fullscreen console binary clock.
--> please fix the 2 warnings as it is trivial

binary RPM:
binclock.noarch: W: no-documentation
--> it's OK, no doc from upstream
binclock.noarch: W: summary-ended-with-dot Fullscreen console binary clock.
--> will be solved once the spec has it's cosmetic lifting done

 [x] Package is not relocatable.
 [x] Buildroot is correct
 [!] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type: there is no license specified in the source, so the actual license cannot be GPLv1. The copyright file in the debian folder mentions GPLv2, but since it's just an addon not related to the source, we cannot rely on it
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 4f4978479ebd9efe459bcc94ceac41d4d4fb4d45 binclock_0.3.2-1.tar.gz
 [x] Package is not known to require ExcludeArch
 [-] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on:devel/x86_64, centos5/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1. License is not correct. There is NO license at all specified in the source. The only indication I have found is the copyright file in the debian folder
2. The source URL needs a bit of sanitizing, the preferred Source0 format is based on
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
3. Small cosmetic fixes needed:
- No dot at the end of summary
- you should add a %defattr line in %files
Comment 2 Adam Miller 2008-09-04 11:17:30 EDT
I made a mistake on the license since I didn't see it listed in the code and no specific GPL version on the sourceforge page, my mistake. I have made the fixes that were suggested in the package review. New package and spec files:

SPEC URL: http://maxamillion.fedorapeople.org/binclock.spec
SRPM URL: http://maxamillion.fedorapeople.org/binclock-0.3.2-2.src.rpm

Thanks for the feedback! :)
Comment 3 manuel wolfshant 2008-09-04 11:41:54 EDT
The problems of the license still stands. What makes you think it is GPLv2 ? As long as it is not mentioned anywhere in the source ? 
In my opinion you should get in touch with the author and ask him for a clarification. The other option is to ask Fedora legal.
Comment 4 Adam Miller 2008-09-04 17:29:20 EDT
I sent an email to the author, awaiting a return email. I went with GPLv2 with this revision since the debian packaging information suggested it, but will be sure to get in contact with either the author or Fedora legal for explicit clarification. Thanks again for the feedback! I will update as soon as I know something.
Comment 5 Adam Miller 2008-09-06 21:28:44 EDT
I got a response from the fedora-legal-list, following is a snippet from the response I received from a gentleman named Tom spot Callaway:

Given that the author wrote the "debian/copyright" file, we can take
that as his intent.

Use:

License: GPLv2

The current revision of the spec file reflects this conclusion. Is there anything else needed to be cleaned up about that package before I can proceed with requesting cvs?

Once again, thank you for your time and feedback :)
Comment 6 manuel wolfshant 2008-09-07 05:58:30 EDT
No further blockers, package APPROVED
Comment 7 Adam Miller 2008-09-08 11:31:08 EDT
New Package CVS Request
=======================
Package Name: binclock
Short Description: Fullscreen console binary clock.
Owners: maxamillion
Branches: F-9
InitialCC:
Comment 8 Kevin Fenzi 2008-09-09 22:21:41 EDT
cvs done.
Comment 9 Fedora Update System 2008-09-12 01:15:05 EDT
binclock-0.3.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.